searchNodes=[{"doc":"Provides utilities for handling chinese holiday related problems.","ref":"ChineseHoliday.html","title":"ChineseHoliday","type":"module"},{"doc":"Gets all the supported years. Examples iex&gt; ChineseHoliday . get_supported_years ( ) [ 2016 , 2017 , 2018 , 2019 , 2020 , 2021 , 2022 , 2023 ]","ref":"ChineseHoliday.html#get_supported_years/0","title":"ChineseHoliday.get_supported_years/0","type":"function"},{"doc":"Gets the version of data. The version is a plain %DateTime{} . Examples iex&gt; ChineseHoliday . get_version ( ) ~U[2022-12-10 02:02:00Z]","ref":"ChineseHoliday.html#get_version/0","title":"ChineseHoliday.get_version/0","type":"function"},{"doc":"Checks if a given date is a holiday. Following dates will be considered as holidays: dates in holiday schedules which are published by State Council of the People's Republic of China, aka. chinese statutory holiday. To get the original information, please visit 中华人民共和国中央人民政府 - 政府信息公开 , and search '节假日'. Examples # the holiday of lunar new year iex&gt; ChineseHoliday . is_holiday? ( ~D[2023-01-21] ) true # the holiday of lunar new year iex&gt; ChineseHoliday . is_holiday? ( ~D[2023-01-27] ) true # it&#39;s time to work ;) iex&gt; ChineseHoliday . is_holiday? ( ~D[2023-01-28] ) false # the holiday information is missing, so this function doesn&#39;t know how to handle it. # in this case, it will log a warning message, and return `false`. iex&gt; ChineseHoliday . is_holiday? ( ~D[2090-01-28] ) false","ref":"ChineseHoliday.html#is_holiday?/1","title":"ChineseHoliday.is_holiday?/1","type":"function"},{"doc":"Checks if a given date is a working day. Following dates will be considered as working days: dates marked as additional working days to compensate for the long holiday break. dates which are normal weekdays (monday ~ friday). Examples # additional working days iex&gt; ChineseHoliday . is_working_day? ( ~D[2023-01-28] ) true iex&gt; ChineseHoliday . is_working_day? ( ~D[2023-01-29] ) true # normal weekdays iex&gt; ChineseHoliday . is_working_day? ( ~D[2023-01-30] ) true iex&gt; ChineseHoliday . is_working_day? ( ~D[2023-01-31] ) true # normal weekends iex&gt; ChineseHoliday . is_working_day? ( ~D[2023-02-11] ) false # the working day information is missing, so this function doesn&#39;t know how to handle it. # in this case, it will log a warning message, and return `false`. iex&gt; ChineseHoliday . is_working_day? ( ~D[2090-01-28] ) false","ref":"ChineseHoliday.html#is_working_day?/1","title":"ChineseHoliday.is_working_day?/1","type":"function"},{"doc":"Provides utilities for handling chinese holiday related problems.","ref":"readme.html","title":"ChineseHoliday","type":"extras"},{"doc":"Add :chinese_holiday to the list of dependencies in mix.exs : def deps do [ { :chinese_holiday , version } ] end","ref":"readme.html#installation","title":"ChineseHoliday - Installation","type":"extras"},{"doc":"For more information, see the documentation .","ref":"readme.html#usage","title":"ChineseHoliday - Usage","type":"extras"},{"doc":"The initial raw data comes from bastengao/chinese-holidays-data .","ref":"readme.html#acknowledgments","title":"ChineseHoliday - Acknowledgments","type":"extras"},{"doc":"Apache License 2.0","ref":"readme.html#license","title":"ChineseHoliday - License","type":"extras"}]